Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.xml.schema
Class RecurringDate

    java.lang.Object
      com.bea.p13n.xml.schema.RecurringDay
          com.bea.p13n.xml.schema.RecurringDate

All Implemented Interfaces:
  Cloneable, Serializable

public class RecurringDate
extends RecurringDay
implements Serializable, Cloneable

This class provides the Java biding for the XML schema type recurringDate as specified in Section 3.3.31 of XML Schema Part 2: Datatypes.

recurringDate represents a date that recurs, specifically a day of the year. Recurring day is a one-year long annually periodic instances.

The value space of month is the set of Gregorian calendar dates specified as --MM-DD.

Example: `05-11`, May 11th, that occurs every year.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.p13n.xml.schema.RecurringDay
`_internal, reference`

Constructor Summary
`protected` | `RecurringDate()` Constructs a new RecurringDate instance.
`protected` | `RecurringDate(TimeInstant instant)` Constructs a new RecurringDate instance with month and day specified with a timeInstant.

Method Summary
`Object` | `clone()` Returns a copy.
`static RecurringDate` | `createRecurringDate()` Returns a RecurringDate for the current month and day.
`static RecurringDate` | `createRecurringDate(String recurringDate)` Given a string of the form --MM-DD, returns a RecurringDate instance.
`int` | `getMonth()` Returns the month (MM) field
`Date` | `next()` Returns the next date based on the reference time instant.
`Date` | `next(TimeInstant instant)` Returns the next date with repsect to the specified time instant.
`Date` | `previous()` Returns the previous date based on the reference time instant.
`Date` | `previous(TimeInstant instant)` Returns the previous date with repsect to the specified time instant.
`void` | `setMonth(int month)` Sets the month (MM) field
`String` | `toString()` Returns a string representation in the form of ---DD with the time zone.

Methods inherited from class com.bea.p13n.xml.schema.RecurringDay
`createRecurringDay, createRecurringDay, getDay, getReference, getTimeZone, setDay, setReference, setTimeZone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecurringDate

    protected RecurringDate()

  Constructs a new RecurringDate instance.

### RecurringDate

    protected RecurringDate(TimeInstant instant)

  Constructs a new RecurringDate instance with month and day specified with a timeInstant.

Parameters:
  `instant` - time instant

Method Detail

### createRecurringDate

    public static RecurringDate createRecurringDate()

  Returns a RecurringDate for the current month and day.

  Returns:
    recurring date

### createRecurringDate

    public static RecurringDate createRecurringDate(String recurringDate)
                                             throws ParseException

  Given a string of the form --MM-DD, returns a RecurringDate instance. The argument may optionally include the timezone specified as "Z" or as <+/->hh:mm.

  It is invalid to prepend the argument string with a "+" or "-" (minus) symbol.

  Returns:
    recurring date
  Throws:
    `ParseException` - thrown due to illegal string argument.

### getMonth

    public int getMonth()

  Returns the month (MM) field

  Returns:
    month field

### setMonth

    public void setMonth(int month)

  Sets the month (MM) field

  Parameters:
    `month` - month field

### next

    public Date next()

  Returns the next date based on the reference time instant.

  Overrides:
    `next` in class `RecurringDay`
  Returns:
    next date
  See Also:
    `RecurringDay.setReference(com.bea.p13n.xml.schema.TimeInstant)`

### next

    public Date next(TimeInstant instant)

  Returns the next date with repsect to the specified time instant.

  Overrides:
    `next` in class `RecurringDay`
  Parameters:
    `instant` - reference time instant
  Returns:
    next date

### previous

    public Date previous()

  Returns the previous date based on the reference time instant.

  Overrides:
    `previous` in class `RecurringDay`
  Returns:
    previous date
  See Also:
    `RecurringDay.setReference(com.bea.p13n.xml.schema.TimeInstant)`

### previous

    public Date previous(TimeInstant instant)

  Returns the previous date with repsect to the specified time instant.

  Overrides:
    `previous` in class `RecurringDay`
  Parameters:
    `instant` - reference time instant
  Returns:
    previous date

### toString

    public String toString()

  Returns a string representation in the form of ---DD with the time zone.

  Overrides:
    `toString` in class `RecurringDay`
  Returns:
    string

### clone

    public Object clone()

  Returns a copy.

  Overrides:
    `clone` in class `RecurringDay`
  Returns:
    copy

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved